Name: milab-borg
Summary: Assimilate machine into the MILAB collective.
Version: 1.0
Release: 1
License: Install in MILAB only.
Vendor: CUED
Group: CUED/MILAB/Configuration
Source0: _etc_resolv.conf
Source1: _etc_nsswitch.conf
Source2: _etc_sudoers
Source3: _etc_cups_client.conf
Source4: _etc_cron.d_overtemp
Source5: _etc_cron.d_yast2-online-update
Source6: _etc_sysconfig_network_config
Source7: _etc_sysconfig_network_dhcp
Source8: _etc_sysconfig_network_scripts_dhcpd-hook
Source9: _etc_sysconfig_onlineupdate
Source10: _usr_local_lib_pine.conf
Source11: _opt_mozilla_lib_defaults_pref_browser-prefs.js
Source12: _etc_auto.master
Source13: _etc_auto.cd
Source14: _etc_auto.CD
Source15: _etc_auto.data
Source16: _etc_auto.db
Source17: _etc_auto.export
Source18: _etc_auto.home
Source19: _etc_auto.misc
Source20: _etc_auto.tools
Source21: _etc_ssh_ssh_config
BuildRoot: %{_tmppath}/build-root-%{name}
Packager: Anna Langley <jal58@cam.ac.uk>
Url: http://mi.eng.cam.ac.uk/
BuildArch: noarch
Distribution: MILAB
Requires: kdebase3-kdm aaa_base coreutils autofs xpp sudo cups glibc filesystem pine ssh yast2 yast2-packagemanager mozilla cronwrap-milab perl exim-conf-milab exim
Conflicts: network-conf-milab postfix

%description
Sets up network configuration for MI Lab SuSE workstations.

%install
cd "$RPM_SOURCE_DIR"
mkdir -p "$RPM_BUILD_ROOT"/etc
mkdir -p "$RPM_BUILD_ROOT"/etc/cron.d
mkdir -p "$RPM_BUILD_ROOT"/etc/cups
mkdir -p "$RPM_BUILD_ROOT"/etc/ssh
mkdir -p "$RPM_BUILD_ROOT"/etc/sysconfig
mkdir -p "$RPM_BUILD_ROOT"/etc/sysconfig/network
mkdir -p "$RPM_BUILD_ROOT"/etc/sysconfig/network/scripts
mkdir -p "$RPM_BUILD_ROOT"/opt/mozilla/lib/defaults/pref
mkdir -p "$RPM_BUILD_ROOT"/usr/local/lib
cp _etc_resolv.conf "$RPM_BUILD_ROOT"/etc/resolv.conf
cp _etc_nsswitch.conf "$RPM_BUILD_ROOT"/etc/nsswitch.conf
cp _etc_sudoers "$RPM_BUILD_ROOT"/etc/sudoers
cp _etc_cups_client.conf "$RPM_BUILD_ROOT"/etc/cups/client.conf
cp _etc_cron.d_overtemp "$RPM_BUILD_ROOT"/etc/cron.d/overtemp
cp _etc_cron.d_yast2-online-update "$RPM_BUILD_ROOT"/etc/cron.d/yast2-online-update
cp _etc_sysconfig_network_config "$RPM_BUILD_ROOT"/etc/sysconfig/network/config
cp _etc_sysconfig_network_dhcp "$RPM_BUILD_ROOT"/etc/sysconfig/network/dhcp
cp _etc_sysconfig_network_scripts_dhcpd-hook "$RPM_BUILD_ROOT"/etc/sysconfig/network/scripts/dhcpd-hook
cp _etc_sysconfig_onlineupdate "$RPM_BUILD_ROOT"/etc/sysconfig/onlineupdate
cp _usr_local_lib_pine.conf "$RPM_BUILD_ROOT"/usr/local/lib/pine.conf
cp _opt_mozilla_lib_defaults_pref_browser-prefs.js "$RPM_BUILD_ROOT"/opt/mozilla/lib/defaults/pref/browser-prefs.js
cp _etc_auto.master "$RPM_BUILD_ROOT"/etc/auto.master
cp _etc_auto.cd "$RPM_BUILD_ROOT"/etc/auto.cd
cp _etc_auto.CD "$RPM_BUILD_ROOT"/etc/auto.CD
cp _etc_auto.data "$RPM_BUILD_ROOT"/etc/auto.data
cp _etc_auto.db "$RPM_BUILD_ROOT"/etc/auto.db
cp _etc_auto.export "$RPM_BUILD_ROOT"/etc/auto.export
cp _etc_auto.home "$RPM_BUILD_ROOT"/etc/auto.home
cp _etc_auto.misc "$RPM_BUILD_ROOT"/etc/auto.misc
cp _etc_auto.tools "$RPM_BUILD_ROOT"/etc/auto.tools
cp _etc_ssh_ssh_config "$RPM_BUILD_ROOT"/etc/ssh/ssh_config
# create symlinks for backward compatibility with redhat installations
mkdir -p "$RPM_BUILD_ROOT"/usr/local/bin
mkdir -p "$RPM_BUILD_ROOT"/usr/local/gnu/bin
ln -s /bin/bash /usr/bin/perl "$RPM_BUILD_ROOT"/usr/local/bin
ln -s /usr/bin/perl "$RPM_BUILD_ROOT"/usr/local/bin/perl5
ln -s /usr/bin/sort "$RPM_BUILD_ROOT"/usr/local/gnu/bin
ln -s /usr/bin/wish "$RPM_BUILD_ROOT"/usr/local/bin/wish8.3
ln -s /usr/X11R6/bin/xemacs "$RPM_BUILD_ROOT"/usr/local/bin/xemacs
ln -s /usr/X11R6/bin/xemacs "$RPM_BUILD_ROOT"/usr/local/bin/xemacs-mule
ln -s /usr/X11R6/bin/xemacs "$RPM_BUILD_ROOT"/usr/local/bin/xemacs-21
ln -s /usr/X11R6/bin/xemacs "$RPM_BUILD_ROOT"/usr/local/bin/xemacs-21.1
ln -s /home/solve6/lsf /home/solve6/lsf-3.2 "$RPM_BUILD_ROOT"/usr/local
ln -s /home/solve6/lsf/mnt/LINUX2  "$RPM_BUILD_ROOT"/usr/local/lsf-arch
ln -s /home/solve6/lsf-3.2/mnt/LINUX2  "$RPM_BUILD_ROOT"/usr/local/lsf-3.2-arch

%clean
/bin/rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%attr(644,root,root) %config /etc/resolv.conf
%attr(644,root,root) %config /etc/nsswitch.conf
%attr(640,root,root) %config /etc/sudoers
%attr(644,root,root) %config /etc/cups/client.conf
%attr(644,root,root) %config /etc/cron.d/overtemp
%attr(644,root,root) %config /etc/cron.d/yast2-online-update
%attr(644,root,root) %config /etc/sysconfig/network/config
%attr(644,root,root) %config /etc/sysconfig/network/dhcp
%attr(755,root,root) %config /etc/sysconfig/network/scripts/dhcpd-hook
%attr(644,root,root) %config /etc/sysconfig/onlineupdate
%attr(444,root,root) %config /usr/local/lib/pine.conf
%attr(644,root,root) %config /opt/mozilla/lib/defaults/pref/browser-prefs.js
%attr(644,root,root) %config /etc/auto.master
%attr(644,root,root) %config /etc/auto.cd
%attr(644,root,root) %config /etc/auto.CD
%attr(644,root,root) %config /etc/auto.data
%attr(644,root,root) %config /etc/auto.db
%attr(644,root,root) %config /etc/auto.export
%attr(644,root,root) %config /etc/auto.home
%attr(644,root,root) %config /etc/auto.misc
%attr(644,root,root) %config /etc/auto.tools
%attr(644,root,root) %config /etc/ssh/ssh_config
/usr/local/gnu/bin
/usr/local/bin/bash
/usr/local/bin/perl
/usr/local/bin/perl5
/usr/local/bin/wish8.3
/usr/local/bin/xemacs
/usr/local/bin/xemacs-mule
/usr/local/bin/xemacs-21
/usr/local/bin/xemacs-21.1
/usr/local/lsf
/usr/local/lsf-3.2
/usr/local/lsf-arch
/usr/local/lsf-3.2-arch


%post
ln -sf ../nfs /etc/rc.d/rc3.d/S10nfs
ln -sf ../nfs /etc/rc.d/rc3.d/K12nfs
ln -sf ../autofs /etc/rc.d/rc3.d/K13nfs
ln -sf ../autofs /etc/rc.d/rc3.d/K09nfs
/sbin/rcnfs restart
/sbin/rcautofs restart
/usr/Local/etc/agefiles
/usr/Local/etc/cronwrap

%postun
/usr/Local/etc/agefiles
/usr/Local/etc/cronwrap

%changelog
* Fri Jan 21 2005 Anna Langley <jal58@cam.ac.uk>
  Moved here documents into source files and cleaned up generally.
* Mon Sep 20 2004 Anna Langley <jal58@eng.cam.ac.uk>
  Removed symlinks to old versions of matlab
* Fri Sep 10 2004 Anna Langley <jal58@eng.cam.ac.uk>
  Removed section that creates mountpoints.  This has gone
  back into the autoyast postinstall script.
* Thu Sep 09 2004 Anna Langley <jal58@eng.cam.ac.uk>
  Created initial RPM.
